1. Are you ready for the Galaxy S20? Here is everything we know so far!

Problem Android Studio

Discussion in 'Android Development' started by KevinDP, Jan 23, 2020.

  1. KevinDP

    KevinDP Lurker
    Thread Starter

    Hi all!

    I'm trying to start a course with Android Studio 2.2.1, but when I create a new project I come upon the error message:

    failed to resolve com.android.support appcompat-v7 29

    Also my Mainactivity.java gives me the error:

    Method does not override method from superclass.

    I've tried to add the Maven URL, but with no luck.

    When I try to rebuild the project I get:

    Error:A problem occurred configuring project ':app'.
    > Could not resolve all dependencies for configuration ':app:_debugApkCopy'.
    > Could not find any version that matches com.android.support:appcompat-v7:29.+.
    Versions that do not match:
    26.0.0-alpha1
    25.3.1
    25.3.0
    25.2.0
    25.1.1
    + 31 more
    Required by:
    DemoAppTwo:app:unspecified

    Does anybody know a solution for this, so that I can start learning to code in android please?
    Thanks in advance!

    Kind regards,
    KevinDP
     


Loading...
Similar Threads - Problem Android Studio
  1. Daronee
    Replies:
    0
    Views:
    788
  2. Sayem Hasan
    Replies:
    1
    Views:
    668
  3. Ismael López Quintero
    Replies:
    0
    Views:
    921
  4. ObiOneKenobi
    Replies:
    3
    Views:
    300
  5. Alexandre Dock
    Replies:
    0
    Views:
    526
  6. Ivashu
    Replies:
    0
    Views:
    347
  7. ElnurMM
    Replies:
    6
    Views:
    9,644
  8. Learn Android
    Replies:
    1
    Views:
    1,232
  9. Learn Android
    Replies:
    15
    Views:
    4,807
  10. AKMAL_TNA
    Replies:
    3
    Views:
    578

Share This Page

Loading...